Subject: Re: [PATCH v4 1/3] genetlink: Add per family bind/unbind callbacks

From: Jakub Kicinski <[email-masked]>
Date: Mon, 12 Feb 2024 17:07:00 -0800

On Mon, 12 Feb 2024 17:16:13 +0100 Stanislaw Gruszka wrote:
> Add genetlink family bind()/unbind() callbacks when adding/removing
> multicast group to/from netlink client socket via setsockopt() or
> bind() syscall.
> 
> They can be used to track if consumers of netlink multicast messages
> emerge or disappear. Thus, a client implementing callbacks, can now
> send events only when there are active consumers, preventing unnecessary
> work when none exist.
> 
> Suggested-by: Jakub Kicinski <[email-masked]>
> Signed-off-by: Stanislaw Gruszka <[email-masked]>

LGTM! genetlink code is a bit hot lately, to avoid any conflicts can
I put the first patch (or all of them) on a shared branch for both
netdev and PM to pull in? Once the other two patches are reviewed,
obviously.